curl --request POST \
--url https://api.example.com/api/v1/brcode/solicrec \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency: <x-idempotency>' \
--data '
{
"calendario": {
"dataExpiracaoSolicitacao": "2023-12-20T12:17:11Z"
},
"destinatario": {
"conta": "550689",
"ispbParticipante": "91193552",
"agencia": "2569",
"cnpj": "<string>",
"cpf": "15231470190"
},
"idRec": "RN123456782024011577825445612"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/brcode/solicrec"
payload := strings.NewReader("{\n \"calendario\": {\n \"dataExpiracaoSolicitacao\": \"2023-12-20T12:17:11Z\"\n },\n \"destinatario\": {\n \"conta\": \"550689\",\n \"ispbParticipante\": \"91193552\",\n \"agencia\": \"2569\",\n \"cnpj\": \"<string>\",\n \"cpf\": \"15231470190\"\n },\n \"idRec\": \"RN123456782024011577825445612\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Idempotency", "<x-idempotency>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {
'X-Idempotency': '<x-idempotency>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
calendario: {dataExpiracaoSolicitacao: '2023-12-20T12:17:11Z'},
destinatario: {
conta: '550689',
ispbParticipante: '91193552',
agencia: '2569',
cnpj: '<string>',
cpf: '15231470190'
},
idRec: 'RN123456782024011577825445612'
})
};
fetch('https://api.example.com/api/v1/brcode/solicrec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/brcode/solicrec"
payload = {
"calendario": { "dataExpiracaoSolicitacao": "2023-12-20T12:17:11Z" },
"destinatario": {
"conta": "550689",
"ispbParticipante": "91193552",
"agencia": "2569",
"cnpj": "<string>",
"cpf": "15231470190"
},
"idRec": "RN123456782024011577825445612"
}
headers = {
"X-Idempotency": "<x-idempotency>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"atualizacao": [
{
"data": "<string>",
"status": "CRIADA"
}
],
"calendario": {
"dataExpiracaoSolicitacao": "2023-12-20T12:17:11Z"
},
"destinatario": {
"conta": "550689",
"ispbParticipante": "91193552",
"agencia": "2569",
"cnpj": "<string>",
"cpf": "15231470190"
},
"idRec": "<string>",
"idSolicRec": "<string>",
"status": "CRIADA",
"recPayload": {
"atualizacao": [
{
"data": "<string>",
"status": "CRIADA"
}
],
"calendario": {
"dataInicial": "2027-01-15",
"periodicidade": "MENSAL",
"dataFinal": "<string>"
},
"idRec": "<string>",
"politicaRetentativa": "NAO_PERMITE",
"recebedor": {
"cnpj": "<string>",
"ispbParticipante": "<string>",
"nome": "<string>"
},
"vinculo": {
"contrato": "contrato-12345",
"devedor": {
"cnpj": "12ABC34501DE35",
"cpf": "12345678901",
"nome": "Fulano de Tal"
},
"objeto": "<string>"
},
"valor": {
"valorMinimoRecebedor": "<string>",
"valorRec": "99.90"
}
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Create recurrence request (Pix Automático)
Creates a recurrence confirmation request (SolicRec) with a server-generated idSolicRec. Pix API POST /solicrec. The rail sends the request to the payer’s PSP (pain.009) asynchronously. It stays CRIADA until it is sent, becomes ENVIADA when BACEN accepts the message and RECEBIDA when the payer’s PSP confirms receipt, then ACEITA or REJEITADA by the payer’s answer.
curl --request POST \
--url https://api.example.com/api/v1/brcode/solicrec \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency: <x-idempotency>' \
--data '
{
"calendario": {
"dataExpiracaoSolicitacao": "2023-12-20T12:17:11Z"
},
"destinatario": {
"conta": "550689",
"ispbParticipante": "91193552",
"agencia": "2569",
"cnpj": "<string>",
"cpf": "15231470190"
},
"idRec": "RN123456782024011577825445612"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/brcode/solicrec"
payload := strings.NewReader("{\n \"calendario\": {\n \"dataExpiracaoSolicitacao\": \"2023-12-20T12:17:11Z\"\n },\n \"destinatario\": {\n \"conta\": \"550689\",\n \"ispbParticipante\": \"91193552\",\n \"agencia\": \"2569\",\n \"cnpj\": \"<string>\",\n \"cpf\": \"15231470190\"\n },\n \"idRec\": \"RN123456782024011577825445612\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Idempotency", "<x-idempotency>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'POST',
headers: {
'X-Idempotency': '<x-idempotency>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
calendario: {dataExpiracaoSolicitacao: '2023-12-20T12:17:11Z'},
destinatario: {
conta: '550689',
ispbParticipante: '91193552',
agencia: '2569',
cnpj: '<string>',
cpf: '15231470190'
},
idRec: 'RN123456782024011577825445612'
})
};
fetch('https://api.example.com/api/v1/brcode/solicrec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/brcode/solicrec"
payload = {
"calendario": { "dataExpiracaoSolicitacao": "2023-12-20T12:17:11Z" },
"destinatario": {
"conta": "550689",
"ispbParticipante": "91193552",
"agencia": "2569",
"cnpj": "<string>",
"cpf": "15231470190"
},
"idRec": "RN123456782024011577825445612"
}
headers = {
"X-Idempotency": "<x-idempotency>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"atualizacao": [
{
"data": "<string>",
"status": "CRIADA"
}
],
"calendario": {
"dataExpiracaoSolicitacao": "2023-12-20T12:17:11Z"
},
"destinatario": {
"conta": "550689",
"ispbParticipante": "91193552",
"agencia": "2569",
"cnpj": "<string>",
"cpf": "15231470190"
},
"idRec": "<string>",
"idSolicRec": "<string>",
"status": "CRIADA",
"recPayload": {
"atualizacao": [
{
"data": "<string>",
"status": "CRIADA"
}
],
"calendario": {
"dataInicial": "2027-01-15",
"periodicidade": "MENSAL",
"dataFinal": "<string>"
},
"idRec": "<string>",
"politicaRetentativa": "NAO_PERMITE",
"recebedor": {
"cnpj": "<string>",
"ispbParticipante": "<string>",
"nome": "<string>"
},
"vinculo": {
"contrato": "contrato-12345",
"devedor": {
"cnpj": "12ABC34501DE35",
"cpf": "12345678901",
"nome": "Fulano de Tal"
},
"objeto": "<string>"
},
"valor": {
"valorMinimoRecebedor": "<string>",
"valorRec": "99.90"
}
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Autorizações
JWT bearer token issued by the identity provider.
Cabeçalhos
Idempotency key, max 255 characters.
Corpo
Calendário da solicitação.
Show child attributes
Show child attributes
Destinatário (conta + participante, CPF ou CNPJ).
Show child attributes
Show child attributes
Identificador da recorrência (Rec) a confirmar.
^[a-zA-Z0-9]{29}$"RN123456782024011577825445612"
Resposta
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
^[a-zA-Z0-9]{29}$Identificador da solicitação.
^[a-zA-Z0-9]{29}$CRIADA, ENVIADA, RECEBIDA, REJEITADA, ACEITA, EXPIRADA, CANCELADA Show child attributes
Show child attributes
Esta página foi útil?

